# $Revision: 1.5 $, $Date: 2012/01/12 17:35:24 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	autobox
Summary:	autobox - call methods on native types
Summary(pl.UTF-8):	autobox - wywoływanie metod na rodzimych typach
Name:		perl-autobox
Version:	2.75
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/C/CH/CHOCOLATE/autobox-%{version}.tar.gz
# Source0-md5:	6769d8c65f0e10d3a50abe796dd870fb
URL:		http://search.cpan.org/dist/autobox/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Scope-Guard >= 0.03
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The autobox pragma allows methods to be called on integers, floats,
strings, arrays, hashes, and code references in exactly the same
manner as blessed references.

The autoboxing is transparent: boxed values are not blessed into their
(user-defined) implementation class (unless the method elects to
bestow such a blessing) - they simply use its methods as though they
are.

The classes (packages) into which the native types are boxed are fully
configurable. By default, a method invoked on a non-object is assumed
to be defined in a class whose name corresponds to the ref() type of
that value - or SCALAR if the value is a non-reference.

This mapping can be overriden by passing key/value pairs to the use
autobox statement, in which the keys represent native types, and the
values their associated classes.

As with regular objects, autoboxed values are passed as the first
argument of the specified method. Consequently, given a vanilla use
autobox:

# %description -l pl.UTF-8
# TODO

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/autobox.pm
%dir %{perl_vendorarch}/autobox
%{perl_vendorarch}/autobox/*.pm
%dir %{perl_vendorarch}/auto/autobox
%{perl_vendorarch}/auto/autobox//*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/autobox//*.so
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-autobox.spec,v $
Revision 1.5  2012/01/12 17:35:24  zbyniu
- up to 2.75

Revision 1.4  2011/07/01 14:26:07  marti
- up to 2.73

Revision 1.3  2010/06/06 08:31:11  arekm
- release 2

Revision 1.2  2010/03/26 07:26:55  amateja
- updated to 2.70

Revision 1.1  2009/10/17 14:25:20  amateja
- initial

